<template>
     <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth">
        <div class="row w-100">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left p-5">
              <div class="brand-logo">
                <!-- <img :src="'images/logo.svg'"> -->
              </div>
              <h4>Hello! let's get started</h4>
              <h6 class="font-weight-light">Sign in to continue.</h6>
                <div class="form-group">
                  <input type="email" class="form-control form-control-lg" id="exampleInputEmail1" placeholder="Username" v-model="email">
                </div>
                <ul v-if="error.email" class="list-unstyled">
				           <li  v-for="err of error.email" class="txt-color">
				         	   {{ err }}
				           </li>
                </ul>
                <div class="form-group">
                  <input type="password" class="form-control form-control-lg" id="exampleInputPassword1" placeholder="Password" v-model="password" >
                </div>
                <ul v-if="error.password" class="list-unstyled">
				         <li  v-for="err of error.password" class="txt-color">
					         {{ err }}
				        </li>
            </ul>
                <div class="mt-3">
                  <button class="btn btn-block btn-gradient-primary btn-lg font-weight-medium auth-form-btn" 
                @click="addRecord" type="submit" >SIGN IN</button>
                </div>
                <div class="my-2 d-flex justify-content-between align-items-center">
                  <div class="form-check">
                    <label class="form-check-label text-muted">
                      <input type="checkbox" class="form-check-input" name="">
                      Keep me signed in
                    </label>
                  </div>
               
                </div>
                <div class="text-center mt-4 font-weight-light">
                  Don't have an account? 
                  <router-link to="/signup" class="text-primary">create</router-link>
                  <br>
                  <div class="alert alert-danger" v-if="this.invalid">
                    {{ this.invalid }} 
                  <button class="btn btn-default" data-dismiss="alert">x</button>
                  </div>
                </div>
            </div>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
</template>

<script>

export default {
  data(){
       return {
		   success : '',
		   error : [],
		   email : '',
		   password : '',
		   response_id : '',
       invalid : '',
       remember:'', 
	   }
	},
	methods: {
		addRecord(){
			axios.post("/loginsubmit",{
				'email':this.email,
        'password':this.password,
        'remember':this.remember,
			})
			.then(data => {
        var id = data.data;
			   if(id == 1)
			   {
          window.location.assign('/allevent');
			   }else if(id == ''){
				this.invalid = "Invlid Credentials ";
			   }
			   else{
          window.location.assign('/event');
			   }
        })
        .catch(error =>  {
          this.error = error.response.data.errors;
          console.log(this.error);
        })
		},
	},
	created(){
		console.log("signup component loaded");
	}
}
</script>
<style  lang="css" scoped>
    ul li {
      color: red;
    }
</style>
